> ## Documentation Index
> Fetch the complete documentation index at: https://docs.filexpress.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Historial de cobros

> Cobros de una factura, incluidos los revertidos (`status: reversed`).

**Permiso requerido:** `receivables`



## OpenAPI

````yaml /api-reference/openapi.json get /receivables/{saleId}/payments
openapi: 3.0.3
info:
  title: FileXpress API Externa
  version: 1.0.0
  description: >-
    API para integrar sistemas de terceros con FileXpress: facturación, RRHH,
    contabilidad, inventario, proyectos, cuentas por cobrar y pagar, tesorería,
    precios y promociones y caja.
servers:
  - url: https://api.filexpress.app/api/external
    description: Producción
security:
  - ApiKey: []
tags:
  - name: General
  - name: Facturación · Ventas
  - name: Facturación · Compras
  - name: Facturación · Clientes
  - name: Facturación · Proveedores
  - name: Facturación · Productos
  - name: Catálogos
  - name: RRHH · Empleados
  - name: RRHH · Asistencia
  - name: RRHH · Permisos
  - name: RRHH · Planillas
  - name: Contabilidad
  - name: Inventario
  - name: Proyectos
  - name: Cuentas por cobrar
  - name: Cuentas por pagar
  - name: Tesorería
  - name: Precios y promociones
  - name: Caja
paths:
  /receivables/{saleId}/payments:
    get:
      tags:
        - Cuentas por cobrar
      summary: Historial de cobros
      description: |-
        Cobros de una factura, incluidos los revertidos (`status: reversed`).

        **Permiso requerido:** `receivables`
      parameters:
        - name: saleId
          in: path
          required: true
          description: ID de la factura
          schema:
            type: string
            format: uuid
          example: 9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11
      responses:
        '200':
          description: Éxito
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - data
                properties:
                  status:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PaymentHistoryItem'
              example:
                status: true
                data:
                  - id: 3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01
                    amount: 500
                    pay_date: '2026-09-15 10:00:00'
                    reference: TRF-88231
                    status: applied
                    payment_method_name: Transferencia
                    bank_name: Banco Agrícola
        '401':
          $ref: '#/components/responses/E401'
        '403':
          $ref: '#/components/responses/E403'
        '404':
          description: No encontrado o de otro negocio
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status: false
                message: Invoice not found
        '429':
          $ref: '#/components/responses/E429'
components:
  schemas:
    PaymentHistoryItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        amount:
          type: number
        pay_date:
          type: string
        reference:
          type: string
          nullable: true
        status:
          type: string
          description: Estado.
          enum:
            - applied
            - reversed
        payment_method_name:
          type: string
          nullable: true
        bank_name:
          type: string
          nullable: true
      required:
        - id
        - amount
        - status
    Error:
      type: object
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Errores por campo (solo en validación).
      required:
        - status
        - message
  responses:
    E401:
      description: API Key ausente o inválida
      content:
        application/json:
          example:
            status: false
            message: Invalid API Key.
    E403:
      description: Integración sin el permiso requerido o desactivada
      content:
        application/json:
          example:
            status: false
            message: This integration does not have the 'hr.employees' permission.
            required_scope: hr.employees
    E429:
      description: Límite de peticiones excedido
      content:
        application/json:
          example:
            status: false
            message: Rate limit exceeded. Please try again later.
            rate_limit: 100
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key de la integración (Integraciones → Nueva Integración).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.